Subject: RE: The RFC xx99 Series

From: Eric Gray <[email-masked]>
Date: Tue, 8 Oct 2013 18:32:00 +0000

Maybe we should reserve RFC 3399 for an April 1st RFC?

--
E

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of RFC Series Editor
Sent: Tuesday, October 08, 2013 1:51 PM
To: IETF Announcement List
Cc: [email-masked]
Subject: The RFC xx99 Series

Greetings,

The RFC Editor is proposing to retire the practice of publishing RFCs xx99, the Request for Comments Summary for RFC Numbers xx00-xx99.  In December 1991, RFC 1099 was the first "Request for Comments Summary"
RFC published.  It provides a list of document titles, authors, date of publication, and abstracts for each of the RFCs published in the range 1000 - 1099.  Since that time, through the time that RFC 3299 was published, a new summary RFC was published every 100 RFCs, and RFC numbers ending with 99 were reserved for these summary documents.  RFC
3399 was never published (for various reasons), though RFCs 3499 and
3599 were.  RFC 3599 was the last of these summary documents to be published in December 2003.

These snapshots are no longer needed because up-to-date data is available online.  RFC abstracts are available using the RFC search engine (http://www.rfc-editor.org/search/rfc_search.php) and they are included in rfc-index.xml.  RFCs xx99 summaries were never requested by the Internet Community and are not currently filling a need; therefore, the RFC Editor is retiring the publication of the RFC summary documents.
RFC numbers typically reserved for these documents (i.e., numbers ending with 99) may be assigned to future RFCs.

If there are any concerns about this course of action, please comment by October 18, 2013, on the [email-masked] mailing list.

Thank you,
Heather Flanagan, RSE

---

From: Donald Eastlake <[email-masked]>
Date: Tue, 8 Oct 2013 14:38:59 -0400

Or how about reserving "RFC 3399" for use as an example RFC number...

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

---

From: Joe Abley <[email-masked]>
Date: Tue, 8 Oct 2013 12:45:34 -0700

> Or how about reserving "RFC 3399" for use as an example RFC number...

Do we need a document to document that document for use in documents as documentation?

Joe

---

From: Mark Atwood <[email-masked]>
Date: Tue, 8 Oct 2013 11:49:45 -0700

Hello.

I would like to express my concern about retiring the xx99 RFCs.  I
think they still fill a need, especially over longer periods of time,
and should not be discontinued.

It was stated that they are no longer needed because "up to date
information" is available online, and the RFC search engine is
mentioned.  This makes RFC indexing dependent on the operation of
external applications, such as RFC search, or Google, or whatever.
While I am sure that the operators of the RFC search engine and of
Google firmly plan on operating their service for the duration, the
"duration" can end or be interrupted (as is being discovered by all
the users of the NIST web document servers right now).

Also, the RFC docs have been and will only continue to be important
historical and foundational documents, and should have their own
in-line canonical summary index in the same format, for inclusion into
larger document collections, and into historical archives and
printings.

Does it cost IETF anything to keep creating the xx99's?

They should not be discontinued.

Thanks!

On Tue, Oct 8, 2013 at 10:50 AM, RFC Series Editor <[email-masked]> wrote:
> Greetings,
>
> The RFC Editor is proposing to retire the practice of publishing RFCs
> xx99, the Request for Comments Summary for RFC Numbers xx00-xx99.  In
> December 1991, RFC 1099 was the first "Request for Comments Summary"
> RFC published.  It provides a list of document titles, authors, date
> of publication, and abstracts for each of the RFCs published in the
> range 1000 - 1099.  Since that time, through the time that RFC 3299
> was published, a new summary RFC was published every 100 RFCs, and RFC
> numbers ending with 99 were reserved for these summary documents.  RFC
> These snapshots are no longer needed because up-to-date data is
> available online.  RFC abstracts are available using the RFC search
> engine (http://www.rfc-editor.org/search/rfc_search.php) and they are
> included in rfc-index.xml.  RFCs xx99 summaries were never requested by
> the Internet Community and are not currently filling a need; therefore,
> the RFC Editor is retiring the publication of the RFC summary documents.
> RFC numbers typically reserved for these documents (i.e., numbers
> ending with 99) may be assigned to future RFCs.
>
> If there are any concerns about this course of action, please comment by
> October 18, 2013, on the [email-masked] mailing list.
>
> Thank you,
> Heather Flanagan, RSE